Skip to main content
GET
List Loyalty Campaigns

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
expand
enum<string>

Includes an expanded categories object in the response. If the Areas and Stores Enterprise feature is enabled, add access_settings_assignments to return assigned areas and stores.

Available options:
category,
access_settings_assignments
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

200 - application/json

Returns a dictionary with loyalty program objects. The loyalty campaigns are returned sorted by creation date, with the most recent campaigns appearing first.

Response body schema for Get /loyalties.

object
string
default:list

The type of the object represented by JSON. This object stores information about loyalty campaigns in a dictionary.

data_ref
enum<string>
default:campaigns

Identifies the name of the attribute that contains the array of loyalty campaign objects.

Available options:
campaigns
campaigns
Loyalty Campaign · object[]

Contains an array of loyalty campaign objects.

total
integer

Total number of loyalty campaign objects.

Last modified on May 18, 2026